commit 16ee34cb1afdbbc89a4a470ed7d9b524c1ef550e
Author: Andreas Kohlbecker <a.kohlbecker@bgbm.org>
Date:   Fri Mar 22 19:16:46 2019 +0100

    fix #8184 using NativeSelect instead of ListSelect to avoid circumvent a bug in the ListSelect which affects the Chrome browser

diff --git a/src/main/java/eu/etaxonomy/cdm/vaadin/component/common/FilterableAnnotationsField.java b/src/main/java/eu/etaxonomy/cdm/vaadin/component/common/FilterableAnnotationsField.java
index f97821cc..54c8484f 100644
--- a/src/main/java/eu/etaxonomy/cdm/vaadin/component/common/FilterableAnnotationsField.java
+++ b/src/main/java/eu/etaxonomy/cdm/vaadin/component/common/FilterableAnnotationsField.java
@@ -26,7 +26,7 @@ import com.vaadin.ui.Component;
 import com.vaadin.ui.CssLayout;
 import com.vaadin.ui.DefaultFieldFactory;
 import com.vaadin.ui.Field;
-import com.vaadin.ui.ListSelect;
+import com.vaadin.ui.NativeSelect;
 import com.vaadin.ui.Table;
 import com.vaadin.ui.Table.ColumnHeaderMode;
 import com.vaadin.ui.TextArea;
@@ -110,10 +110,9 @@ public class FilterableAnnotationsField extends CompositeCustomField<List<Annota
                     ta.setWidth(100,  Unit.PERCENTAGE);
                     field = ta;
                 } else if(propertyId.equals("annotationType")) {
-                    ListSelect select = new ListSelect();
+                    NativeSelect select = new NativeSelect();
                     select.setContainerDataSource(typeSelectItemContainer);
                     select.setWidth(100, Unit.PIXELS);
-                    select.setRows(1);
                     field = select;
                 }
                 field.setStyleName(table.getStyleName());
diff --git a/src/main/java/eu/etaxonomy/cdm/vaadin/component/common/GeoLocationField.java b/src/main/java/eu/etaxonomy/cdm/vaadin/component/common/GeoLocationField.java
index f8f908bd..74396544 100644
--- a/src/main/java/eu/etaxonomy/cdm/vaadin/component/common/GeoLocationField.java
+++ b/src/main/java/eu/etaxonomy/cdm/vaadin/component/common/GeoLocationField.java
@@ -27,7 +27,7 @@ import com.vaadin.ui.Component;
 import com.vaadin.ui.CssLayout;
 import com.vaadin.ui.GridLayout;
 import com.vaadin.ui.Label;
-import com.vaadin.ui.ListSelect;
+import com.vaadin.ui.NativeSelect;
 import com.vaadin.ui.TextField;
 
 import eu.etaxonomy.cdm.model.location.Point;
@@ -56,7 +56,7 @@ public class GeoLocationField extends CompositeCustomField<Point> {
     private TextField latitudeField = new LongLatField("Latitude", Axis.LATITUDE);
     private Label longLatParsed = new Label();
     private TextField errorRadiusField = new TextFieldNFix("Error radius (m)");
-    private ListSelect referenceSystemSelect;
+    private NativeSelect referenceSystemSelect;
 
     private LMap map = new LMap();
     private LMarker mapMarker = new LMarker();
@@ -111,9 +111,8 @@ public class GeoLocationField extends CompositeCustomField<Point> {
 
         errorRadiusField.addValueChangeListener( e -> updateMap());
 
-        referenceSystemSelect = new ListSelect("Reference system");
+        referenceSystemSelect = new NativeSelect("Reference system");
         referenceSystemSelect.setNullSelectionAllowed(false);
-        referenceSystemSelect.setRows(1);
         referenceSystemSelect.setWidth(100, Unit.PERCENTAGE);
 
         GridLayout root = new GridLayout();
@@ -226,7 +225,7 @@ public class GeoLocationField extends CompositeCustomField<Point> {
         return Optional.of(fieldGroup);
     }
 
-    public ListSelect getReferenceSystemSelect() {
+    public NativeSelect getReferenceSystemSelect() {
         return referenceSystemSelect;
     }
 
diff --git a/src/main/java/eu/etaxonomy/cdm/vaadin/component/registration/RegistrationStatusSelect.java b/src/main/java/eu/etaxonomy/cdm/vaadin/component/registration/RegistrationStatusSelect.java
index 9f67610b..9674cb79 100644
--- a/src/main/java/eu/etaxonomy/cdm/vaadin/component/registration/RegistrationStatusSelect.java
+++ b/src/main/java/eu/etaxonomy/cdm/vaadin/component/registration/RegistrationStatusSelect.java
@@ -11,7 +11,7 @@ package eu.etaxonomy.cdm.vaadin.component.registration;
 import java.util.Collection;
 
 import com.vaadin.data.Container;
-import com.vaadin.ui.ListSelect;
+import com.vaadin.ui.NativeSelect;
 
 import eu.etaxonomy.cdm.model.name.RegistrationStatus;
 
@@ -20,7 +20,7 @@ import eu.etaxonomy.cdm.model.name.RegistrationStatus;
  * @since Jul 4, 2018
  *
  */
-public class RegistrationStatusSelect extends ListSelect {
+public class RegistrationStatusSelect extends NativeSelect {
 
 
     private static final long serialVersionUID = 2400974680207121417L;
@@ -63,7 +63,6 @@ public class RegistrationStatusSelect extends ListSelect {
      */
     public void init() {
         addStyleName("registration-status");
-        setRows(1);
         setWidth("110px");
 
         addValueChangeListener(e -> updateStyles());
diff --git a/src/main/java/eu/etaxonomy/cdm/vaadin/view/name/NameTypeDesignationEditorView.java b/src/main/java/eu/etaxonomy/cdm/vaadin/view/name/NameTypeDesignationEditorView.java
index 78de258a..0df33b8f 100644
--- a/src/main/java/eu/etaxonomy/cdm/vaadin/view/name/NameTypeDesignationEditorView.java
+++ b/src/main/java/eu/etaxonomy/cdm/vaadin/view/name/NameTypeDesignationEditorView.java
@@ -8,7 +8,7 @@
 */
 package eu.etaxonomy.cdm.vaadin.view.name;
 
-import com.vaadin.ui.ListSelect;
+import com.vaadin.ui.NativeSelect;
 
 import eu.etaxonomy.cdm.model.name.TaxonName;
 import eu.etaxonomy.cdm.model.reference.Reference;
@@ -26,7 +26,7 @@ public interface NameTypeDesignationEditorView extends ApplicationView<NameTypeD
 
     ToOneRelatedEntityCombobox<Reference> getCitationCombobox();
 
-    ListSelect getTypeStatusSelect();
+    NativeSelect getTypeStatusSelect();
 
     ToManyRelatedEntitiesComboboxSelect<TaxonName> getTypifiedNamesComboboxSelect();
 
diff --git a/src/main/java/eu/etaxonomy/cdm/vaadin/view/name/NameTypeDesignationPopupEditor.java b/src/main/java/eu/etaxonomy/cdm/vaadin/view/name/NameTypeDesignationPopupEditor.java
index 223ab865..2e7214d5 100644
--- a/src/main/java/eu/etaxonomy/cdm/vaadin/view/name/NameTypeDesignationPopupEditor.java
+++ b/src/main/java/eu/etaxonomy/cdm/vaadin/view/name/NameTypeDesignationPopupEditor.java
@@ -14,7 +14,7 @@ import com.vaadin.spring.annotation.SpringComponent;
 import com.vaadin.ui.Alignment;
 import com.vaadin.ui.CheckBox;
 import com.vaadin.ui.GridLayout;
-import com.vaadin.ui.ListSelect;
+import com.vaadin.ui.NativeSelect;
 import com.vaadin.ui.TextField;
 
 import eu.etaxonomy.cdm.model.common.AnnotationType;
@@ -52,7 +52,7 @@ public class NameTypeDesignationPopupEditor extends AbstractCdmPopupEditor<NameT
 
     private ToManyRelatedEntitiesComboboxSelect<TaxonName> typifiedNamesComboboxSelect;
 
-    private ListSelect typeStatusSelect;
+    private NativeSelect typeStatusSelect;
 
     private ToOneRelatedEntityCombobox<Reference> citationCombobox;
 
@@ -135,9 +135,8 @@ public class NameTypeDesignationPopupEditor extends AbstractCdmPopupEditor<NameT
             row++;
         }
 
-        typeStatusSelect = new ListSelect("Type status");
+        typeStatusSelect = new NativeSelect("Type status");
         typeStatusSelect.setNullSelectionAllowed(false);
-        typeStatusSelect.setRows(1);
         typeStatusSelect.setWidth(100, Unit.PERCENTAGE);
         addField(typeStatusSelect, "typeStatus", 0, row, 1, row);
         grid.setComponentAlignment(typeStatusSelect, Alignment.TOP_RIGHT);
@@ -205,7 +204,7 @@ public class NameTypeDesignationPopupEditor extends AbstractCdmPopupEditor<NameT
      * @return the typeStatusSelect
      */
     @Override
-    public ListSelect getTypeStatusSelect() {
+    public NativeSelect getTypeStatusSelect() {
         return typeStatusSelect;
     }
 
diff --git a/src/main/java/eu/etaxonomy/cdm/vaadin/view/name/SpecimenTypeDesignationDTORow.java b/src/main/java/eu/etaxonomy/cdm/vaadin/view/name/SpecimenTypeDesignationDTORow.java
index 2f71069e..7f7f1ff4 100644
--- a/src/main/java/eu/etaxonomy/cdm/vaadin/view/name/SpecimenTypeDesignationDTORow.java
+++ b/src/main/java/eu/etaxonomy/cdm/vaadin/view/name/SpecimenTypeDesignationDTORow.java
@@ -13,7 +13,7 @@ import java.util.List;
 
 import com.vaadin.server.Sizeable.Unit;
 import com.vaadin.ui.Component;
-import com.vaadin.ui.ListSelect;
+import com.vaadin.ui.NativeSelect;
 import com.vaadin.ui.TextField;
 
 import eu.etaxonomy.cdm.model.occurrence.Collection;
@@ -45,7 +45,7 @@ public class SpecimenTypeDesignationDTORow extends CollectionRowItemCollection i
      */
     TextField associatedTypeDesignationCount = new TextField();
     RowListSelect kindOfUnit = new RowListSelect(); // position is IMPORTANT, see rowListSelectColumn()
-    ListSelect typeStatus = new ListSelect();
+    NativeSelect typeStatus = new NativeSelect();
     ToOneRelatedEntityCombobox<eu.etaxonomy.cdm.model.occurrence.Collection> collection =
             new ToOneRelatedEntityCombobox<eu.etaxonomy.cdm.model.occurrence.Collection>(null, eu.etaxonomy.cdm.model.occurrence.Collection.class);
     TextField accessionNumber = new TextFieldNFix();
@@ -58,10 +58,9 @@ public class SpecimenTypeDesignationDTORow extends CollectionRowItemCollection i
     private ToOneRelatedEntityButtonUpdater<Collection> collectionFieldUpdater;
 
     public SpecimenTypeDesignationDTORow(){
-        kindOfUnit.setRows(1);
+
         kindOfUnit.setRequired(true);
         kindOfUnit.setRow(this);
-        typeStatus.setRows(1);
         typeStatus.setRequired(true);
 
         accessionNumber.setWidth(100, Unit.PIXELS);
@@ -136,7 +135,7 @@ public class SpecimenTypeDesignationDTORow extends CollectionRowItemCollection i
         return 0;
     }
 
-    class RowListSelect extends ListSelect implements CollectionRowRepresentative {
+    class RowListSelect extends NativeSelect implements CollectionRowRepresentative {
 
         private static final long serialVersionUID = 3235653923633494213L;
 
diff --git a/src/main/java/eu/etaxonomy/cdm/vaadin/view/name/SpecimenTypeDesignationWorkingsetPopupEditor.java b/src/main/java/eu/etaxonomy/cdm/vaadin/view/name/SpecimenTypeDesignationWorkingsetPopupEditor.java
index ba4a8fce..101d0e86 100644
--- a/src/main/java/eu/etaxonomy/cdm/vaadin/view/name/SpecimenTypeDesignationWorkingsetPopupEditor.java
+++ b/src/main/java/eu/etaxonomy/cdm/vaadin/view/name/SpecimenTypeDesignationWorkingsetPopupEditor.java
@@ -22,7 +22,7 @@ import com.vaadin.spring.annotation.SpringComponent;
 import com.vaadin.ui.AbstractSelect.ItemCaptionMode;
 import com.vaadin.ui.Component;
 import com.vaadin.ui.GridLayout;
-import com.vaadin.ui.ListSelect;
+import com.vaadin.ui.NativeSelect;
 import com.vaadin.ui.Panel;
 import com.vaadin.ui.TextArea;
 
@@ -74,7 +74,7 @@ public class SpecimenTypeDesignationWorkingsetPopupEditor
 
     private static final long serialVersionUID = 5418275817834009509L;
 
-    private ListSelect countrySelectField;
+    private NativeSelect countrySelectField;
 
     private ElementCollectionField<SpecimenTypeDesignationDTO> typeDesignationsCollectionField;
 
@@ -96,7 +96,7 @@ public class SpecimenTypeDesignationWorkingsetPopupEditor
      * @return the countrySelectField
      */
     @Override
-    public ListSelect getCountrySelectField() {
+    public NativeSelect getCountrySelectField() {
         return countrySelectField;
     }
 
@@ -117,12 +117,11 @@ public class SpecimenTypeDesignationWorkingsetPopupEditor
         // FieldUnit + GatheringEvent
 
         int row = 0;
-        countrySelectField = new ListSelect("Country");
+        countrySelectField = new NativeSelect("Country");
         addField(countrySelectField, "country", 1, row , 2, row);
         countrySelectField.setWidth("100%");
         countrySelectField.setItemCaptionMode(ItemCaptionMode.PROPERTY);
         countrySelectField.setItemCaptionPropertyId("label");
-        countrySelectField.setRows(1);
 
         row++;
         TextArea localityField = new TextArea("Locality");
diff --git a/src/main/java/eu/etaxonomy/cdm/vaadin/view/name/SpecimenTypeDesignationWorkingsetPopupEditorView.java b/src/main/java/eu/etaxonomy/cdm/vaadin/view/name/SpecimenTypeDesignationWorkingsetPopupEditorView.java
index 7944f841..1d4b95cd 100644
--- a/src/main/java/eu/etaxonomy/cdm/vaadin/view/name/SpecimenTypeDesignationWorkingsetPopupEditorView.java
+++ b/src/main/java/eu/etaxonomy/cdm/vaadin/view/name/SpecimenTypeDesignationWorkingsetPopupEditorView.java
@@ -11,7 +11,7 @@ package eu.etaxonomy.cdm.vaadin.view.name;
 import org.vaadin.viritin.fields.ElementCollectionField;
 
 import com.vaadin.ui.Component;
-import com.vaadin.ui.ListSelect;
+import com.vaadin.ui.NativeSelect;
 
 import eu.etaxonomy.cdm.vaadin.component.common.GeoLocationField;
 import eu.etaxonomy.cdm.vaadin.component.common.TeamOrPersonField;
@@ -27,7 +27,7 @@ import eu.etaxonomy.vaadin.mvp.ApplicationView;
 public interface SpecimenTypeDesignationWorkingsetPopupEditorView extends ApplicationView<SpecimenTypeDesignationWorkingsetEditorPresenter>,
     AnnotationsEditor {
 
-    public ListSelect getCountrySelectField();
+    public NativeSelect getCountrySelectField();
 
     ElementCollectionField<SpecimenTypeDesignationDTO> getTypeDesignationsCollectionField();
 
diff --git a/src/main/java/eu/etaxonomy/cdm/vaadin/view/name/TaxonNamePopupEditor.java b/src/main/java/eu/etaxonomy/cdm/vaadin/view/name/TaxonNamePopupEditor.java
index c639b8df..01cb5870 100644
--- a/src/main/java/eu/etaxonomy/cdm/vaadin/view/name/TaxonNamePopupEditor.java
+++ b/src/main/java/eu/etaxonomy/cdm/vaadin/view/name/TaxonNamePopupEditor.java
@@ -24,7 +24,7 @@ import com.vaadin.ui.AbstractField;
 import com.vaadin.ui.Alignment;
 import com.vaadin.ui.CheckBox;
 import com.vaadin.ui.GridLayout;
-import com.vaadin.ui.ListSelect;
+import com.vaadin.ui.NativeSelect;
 import com.vaadin.ui.TextField;
 
 import eu.etaxonomy.cdm.model.agent.TeamOrPersonBase;
@@ -110,7 +110,7 @@ public class TaxonNamePopupEditor extends AbstractCdmDTOPopupEditor<TaxonNameDTO
 
     private CheckBox orthographicVariantToggle;
 
-    private ListSelect rankSelect;
+    private NativeSelect rankSelect;
 
     private TeamOrPersonField combinationAuthorshipField;
 
@@ -271,9 +271,8 @@ public class TaxonNamePopupEditor extends AbstractCdmDTOPopupEditor<TaxonNameDTO
 
         int row = 0;
 
-        rankSelect = new ListSelect("Rank");
+        rankSelect = new NativeSelect("Rank");
         rankSelect.setNullSelectionAllowed(false);
-        rankSelect.setRows(1);
         rankSelect.setWidth(100, Unit.PERCENTAGE);
         addField(rankSelect, "rank", 0, row, 1, row);
         grid.setComponentAlignment(rankSelect, Alignment.TOP_RIGHT);
@@ -888,7 +887,7 @@ public class TaxonNamePopupEditor extends AbstractCdmDTOPopupEditor<TaxonNameDTO
      * {@inheritDoc}
      */
     @Override
-    public ListSelect getRankSelect() {
+    public NativeSelect getRankSelect() {
         return rankSelect;
     }
 
diff --git a/src/main/java/eu/etaxonomy/cdm/vaadin/view/name/TaxonNamePopupEditorView.java b/src/main/java/eu/etaxonomy/cdm/vaadin/view/name/TaxonNamePopupEditorView.java
index 806d812c..366a0ce7 100644
--- a/src/main/java/eu/etaxonomy/cdm/vaadin/view/name/TaxonNamePopupEditorView.java
+++ b/src/main/java/eu/etaxonomy/cdm/vaadin/view/name/TaxonNamePopupEditorView.java
@@ -12,7 +12,7 @@ import java.util.EnumSet;
 
 import com.vaadin.ui.AbstractField;
 import com.vaadin.ui.CheckBox;
-import com.vaadin.ui.ListSelect;
+import com.vaadin.ui.NativeSelect;
 
 import eu.etaxonomy.cdm.model.name.TaxonName;
 import eu.etaxonomy.cdm.model.reference.Reference;
@@ -40,7 +40,7 @@ public interface TaxonNamePopupEditorView extends ApplicationView<TaxonNameEdito
      */
     public ToManyRelatedEntitiesComboboxSelect<TaxonName> getBasionymComboboxSelect();
 
-    public ListSelect getRankSelect();
+    public NativeSelect getRankSelect();
 
     /**
      * @return the exBasionymAuthorshipField
diff --git a/src/main/java/eu/etaxonomy/cdm/vaadin/view/reference/ReferencePopupEditor.java b/src/main/java/eu/etaxonomy/cdm/vaadin/view/reference/ReferencePopupEditor.java
index f25c06d1..0c00508f 100644
--- a/src/main/java/eu/etaxonomy/cdm/vaadin/view/reference/ReferencePopupEditor.java
+++ b/src/main/java/eu/etaxonomy/cdm/vaadin/view/reference/ReferencePopupEditor.java
@@ -24,7 +24,7 @@ import com.vaadin.ui.Alignment;
 import com.vaadin.ui.Component;
 import com.vaadin.ui.Field;
 import com.vaadin.ui.GridLayout;
-import com.vaadin.ui.ListSelect;
+import com.vaadin.ui.NativeSelect;
 import com.vaadin.ui.TextField;
 
 import eu.etaxonomy.cdm.api.utility.RoleProber;
@@ -73,7 +73,7 @@ public class ReferencePopupEditor extends AbstractCdmPopupEditor<Reference, Refe
 
     private final static int GRID_ROWS = 14;
 
-    private ListSelect typeSelect;
+    private NativeSelect typeSelect;
 
     private ToOneRelatedEntityCombobox<Reference> inReferenceCombobox;
 
@@ -152,10 +152,10 @@ public class ReferencePopupEditor extends AbstractCdmPopupEditor<Reference, Refe
         int row = 0;
         datePublishedField = new VerbatimTimePeriodField("Date published");
         addField(datePublishedField, "datePublished", 0, row, 1, row);
-        typeSelect = new ListSelect("Reference type");
+        typeSelect = new NativeSelect("Reference type");
         typeSelect.addItems(referenceTypes);
         typeSelect.setNullSelectionAllowed(false);
-        typeSelect.setRows(1);
+
         typeSelect.addValueChangeListener(e -> updateFieldVisibility((ReferenceType)e.getProperty().getValue()));
         addField(typeSelect, "type", GRID_COLS - 1, row);
         grid.setComponentAlignment(typeSelect, Alignment.TOP_RIGHT);
@@ -461,7 +461,7 @@ public class ReferencePopupEditor extends AbstractCdmPopupEditor<Reference, Refe
     }
 
     @Override
-    public ListSelect getTypeSelect() {
+    public NativeSelect getTypeSelect() {
         return typeSelect;
     }
 
diff --git a/src/main/java/eu/etaxonomy/cdm/vaadin/view/reference/ReferencePopupEditorView.java b/src/main/java/eu/etaxonomy/cdm/vaadin/view/reference/ReferencePopupEditorView.java
index cdbfe63b..b1468ead 100644
--- a/src/main/java/eu/etaxonomy/cdm/vaadin/view/reference/ReferencePopupEditorView.java
+++ b/src/main/java/eu/etaxonomy/cdm/vaadin/view/reference/ReferencePopupEditorView.java
@@ -8,7 +8,7 @@
 */
 package eu.etaxonomy.cdm.vaadin.view.reference;
 
-import com.vaadin.ui.ListSelect;
+import com.vaadin.ui.NativeSelect;
 
 import eu.etaxonomy.cdm.model.agent.Institution;
 import eu.etaxonomy.cdm.model.reference.Reference;
@@ -24,7 +24,7 @@ import eu.etaxonomy.vaadin.mvp.ApplicationView;
  */
 public interface ReferencePopupEditorView extends ApplicationView<ReferenceEditorPresenter> {
 
-    public ListSelect getTypeSelect();
+    public NativeSelect getTypeSelect();
 
     public ToOneRelatedEntityCombobox<Reference> getInReferenceCombobox();
 
diff --git a/src/main/java/eu/etaxonomy/cdm/vaadin/view/registration/ListView.java b/src/main/java/eu/etaxonomy/cdm/vaadin/view/registration/ListView.java
index 1f48fee1..f10607c3 100644
--- a/src/main/java/eu/etaxonomy/cdm/vaadin/view/registration/ListView.java
+++ b/src/main/java/eu/etaxonomy/cdm/vaadin/view/registration/ListView.java
@@ -12,7 +12,7 @@ import java.util.List;
 import java.util.UUID;
 
 import com.vaadin.ui.AbstractSelect;
-import com.vaadin.ui.ListSelect;
+import com.vaadin.ui.NativeSelect;
 import com.vaadin.ui.TextField;
 
 import eu.etaxonomy.cdm.api.service.dto.RegistrationDTO;
@@ -60,12 +60,12 @@ public interface ListView extends ApplicationView<ListPresenter>{
     /**
      * @return the statusFilter
      */
-    public ListSelect getRegistrationStatusFilter();
+    public NativeSelect getRegistrationStatusFilter();
 
     /**
      * @return the submitterFilter
      */
-    public ListSelect getSubmitterFilter();
+    public NativeSelect getSubmitterFilter();
 
     /**
      * @param optionInProgress
diff --git a/src/main/java/eu/etaxonomy/cdm/vaadin/view/registration/ListViewBean.java b/src/main/java/eu/etaxonomy/cdm/vaadin/view/registration/ListViewBean.java
index 13718f48..b5629c3d 100644
--- a/src/main/java/eu/etaxonomy/cdm/vaadin/view/registration/ListViewBean.java
+++ b/src/main/java/eu/etaxonomy/cdm/vaadin/view/registration/ListViewBean.java
@@ -31,6 +31,7 @@ import com.vaadin.ui.CssLayout;
 import com.vaadin.ui.HorizontalLayout;
 import com.vaadin.ui.Label;
 import com.vaadin.ui.ListSelect;
+import com.vaadin.ui.NativeSelect;
 import com.vaadin.ui.Notification;
 import com.vaadin.ui.TextField;
 import com.vaadin.ui.VerticalLayout;
@@ -75,9 +76,9 @@ public class ListViewBean extends AbstractPageView<ListPresenter> implements Lis
 
     private Label filterInstructionLabel = new Label("Filter the registrations by");
 
-    private ListSelect registrationStatusFilter = null;
+    private NativeSelect registrationStatusFilter = null;
 
-    private ListSelect submitterFilter = null; // must be null, the presenter relies on this
+    private NativeSelect submitterFilter = null; // must be null, the presenter relies on this
 
     private TextField identifierFilter = new TextFieldNFix("Identifier");
 
@@ -104,21 +105,19 @@ public class ListViewBean extends AbstractPageView<ListPresenter> implements Lis
         boolean userIsCurator = UserHelperAccess.userHelper().userIs(new RoleProber(RolesAndPermissions.ROLE_CURATION));
         boolean userIsAdmin = UserHelperAccess.userHelper().userIsAdmin();
         if(userIsCurator || userIsAdmin){
-            submitterFilter = new ListSelect("Submitter");
-            submitterFilter.setRows(1);
+            submitterFilter = new NativeSelect("Submitter");
             submitterFilter.addValueChangeListener(e -> updateResults(null, null));
             toolBar.addComponent(submitterFilter);
         }
 
         if(viewMode.equals(Mode.all)){
-            registrationStatusFilter = new ListSelect("Registration status", Arrays.asList(RegistrationStatus.values()));
+            registrationStatusFilter = new NativeSelect("Registration status", Arrays.asList(RegistrationStatus.values()));
             registrationStatusFilter.setNullSelectionAllowed(true);
-            registrationStatusFilter.setRows(1);
             registrationStatusFilter.addValueChangeListener(e -> updateResults(null, null));
             toolBar.addComponent(registrationStatusFilter);
         }
 
-        statusTypeFilter = new ListSelect("Type Status");
+        statusTypeFilter = new NativeSelect("Type Status");
         ((ListSelect)statusTypeFilter).setRows(3);
         statusTypeFilter.setMultiSelect(true);
         statusTypeFilter.setNullSelectionAllowed(true);
@@ -298,7 +297,7 @@ public class ListViewBean extends AbstractPageView<ListPresenter> implements Lis
      * @return the registrationStatusFilter
      */
     @Override
-    public ListSelect getRegistrationStatusFilter() {
+    public NativeSelect getRegistrationStatusFilter() {
         return registrationStatusFilter;
     }
 
@@ -306,7 +305,7 @@ public class ListViewBean extends AbstractPageView<ListPresenter> implements Lis
      * @return the submitterFilter
      */
     @Override
-    public ListSelect getSubmitterFilter() {
+    public NativeSelect getSubmitterFilter() {
         return submitterFilter;
     }
 
diff --git a/src/main/java/eu/etaxonomy/cdm/vaadin/view/registration/RegistrationPopEditorView.java b/src/main/java/eu/etaxonomy/cdm/vaadin/view/registration/RegistrationPopEditorView.java
index 18eb0bdc..be392e90 100644
--- a/src/main/java/eu/etaxonomy/cdm/vaadin/view/registration/RegistrationPopEditorView.java
+++ b/src/main/java/eu/etaxonomy/cdm/vaadin/view/registration/RegistrationPopEditorView.java
@@ -9,7 +9,7 @@
 package eu.etaxonomy.cdm.vaadin.view.registration;
 
 import com.vaadin.ui.DateField;
-import com.vaadin.ui.ListSelect;
+import com.vaadin.ui.NativeSelect;
 
 import eu.etaxonomy.vaadin.mvp.ApplicationView;
 
@@ -24,17 +24,17 @@ public interface RegistrationPopEditorView extends ApplicationView<RegistrationE
     /**
      * @return the submitterField
      */
-    public ListSelect getSubmitterField();
+    public NativeSelect getSubmitterField();
 
     /**
      * @return the institutionField
      */
-    public ListSelect getInstitutionField();
+    public NativeSelect getInstitutionField();
 
     /**
      * @return
      */
-    public ListSelect getStatusSelect();
+    public NativeSelect getStatusSelect();
 
     /**
      * @return
diff --git a/src/main/java/eu/etaxonomy/cdm/vaadin/view/registration/RegistrationPopupEditor.java b/src/main/java/eu/etaxonomy/cdm/vaadin/view/registration/RegistrationPopupEditor.java
index 0a893f0b..8006a9ea 100644
--- a/src/main/java/eu/etaxonomy/cdm/vaadin/view/registration/RegistrationPopupEditor.java
+++ b/src/main/java/eu/etaxonomy/cdm/vaadin/view/registration/RegistrationPopupEditor.java
@@ -15,7 +15,7 @@ import org.springframework.context.annotation.Scope;
 import com.vaadin.spring.annotation.SpringComponent;
 import com.vaadin.ui.DateField;
 import com.vaadin.ui.FormLayout;
-import com.vaadin.ui.ListSelect;
+import com.vaadin.ui.NativeSelect;
 import com.vaadin.ui.TextField;
 
 import eu.etaxonomy.cdm.model.name.Registration;
@@ -40,11 +40,11 @@ public class RegistrationPopupEditor extends AbstractCdmPopupEditor<Registration
 
     TextField specificIdentifierField;
 
-    private ListSelect submitterField;
+    private NativeSelect submitterField;
 
-    private ListSelect institutionField;
+    private NativeSelect institutionField;
 
-    private ListSelect statusSelect;
+    private NativeSelect statusSelect;
 
     private DateField registrationDateField;
 
@@ -68,17 +68,16 @@ public class RegistrationPopupEditor extends AbstractCdmPopupEditor<Registration
         specificIdentifierField = new TextFieldNFix("Specific Identifier");
         addField(specificIdentifierField, "specificIdentifier");
 
-        statusSelect = new ListSelect("Status", Arrays.asList(RegistrationStatus.values()));
+        statusSelect = new NativeSelect("Status", Arrays.asList(RegistrationStatus.values()));
         statusSelect.setNullSelectionAllowed(false);
-        statusSelect.setRows(1);
         addField(statusSelect, "status");
 
-        submitterField = new ListSelect("Submitter");
+        submitterField = new NativeSelect("Submitter");
         submitterField.setEnabled(false);
         submitterField.setWidth(100, Unit.PERCENTAGE);
         addField(submitterField, "submitter");
 
-        institutionField = new ListSelect("Institution");
+        institutionField = new NativeSelect("Institution");
         institutionField.setEnabled(false);
         institutionField.setWidth(100, Unit.PERCENTAGE);
         addField(institutionField, "institution");
@@ -123,7 +122,7 @@ public class RegistrationPopupEditor extends AbstractCdmPopupEditor<Registration
      * @return the submitterField
      */
     @Override
-    public ListSelect getSubmitterField() {
+    public NativeSelect getSubmitterField() {
         return submitterField;
     }
 
@@ -131,12 +130,12 @@ public class RegistrationPopupEditor extends AbstractCdmPopupEditor<Registration
      * @return the institutionField
      */
     @Override
-    public ListSelect getInstitutionField() {
+    public NativeSelect getInstitutionField() {
         return institutionField;
     }
 
     @Override
-    public ListSelect getStatusSelect() {
+    public NativeSelect getStatusSelect() {
         return statusSelect;
     }
 
diff --git a/src/test/java/eu/etaxonomy/vaadin/mvp/CdmEditorPresenterTest.java b/src/test/java/eu/etaxonomy/vaadin/mvp/CdmEditorPresenterTest.java
index 5a563d79..c0e88a2d 100644
--- a/src/test/java/eu/etaxonomy/vaadin/mvp/CdmEditorPresenterTest.java
+++ b/src/test/java/eu/etaxonomy/vaadin/mvp/CdmEditorPresenterTest.java
@@ -16,7 +16,7 @@ import org.unitils.spring.annotation.SpringBean;
 import org.unitils.spring.annotation.SpringBeanByType;
 import org.vaadin.spring.events.EventBus.ViewEventBus;
 
-import com.vaadin.ui.ListSelect;
+import com.vaadin.ui.NativeSelect;
 
 import eu.etaxonomy.cdm.api.application.CdmRepository;
 import eu.etaxonomy.cdm.model.agent.Institution;
@@ -64,7 +64,7 @@ public class CdmEditorPresenterTest {
          * {@inheritDoc}
          */
         @Override
-        public ListSelect getTypeSelect() {
+        public NativeSelect getTypeSelect() {
             return null;
         }
 