commit 0ebc16e8506a9ecc6d6fba53771080700ccc8da0
Author: n.hoffmann <n.hoffmann@localhost>
Date:   Mon Aug 22 15:48:19 2011 +0000

    adding missing project

diff --git a/.gitattributes b/.gitattributes
index 1e369e069..1e148c273 100644
--- a/.gitattributes
+++ b/.gitattributes
@@ -1213,6 +1213,11 @@ eu.etaxonomy.taxeditor.test/src/test/java/eu/etaxonomy/taxeditor/test/ContextMen
 eu.etaxonomy.taxeditor.test/src/test/java/eu/etaxonomy/taxeditor/test/LoginTest.java -text
 eu.etaxonomy.taxeditor.test/src/test/java/eu/etaxonomy/taxeditor/test/NewMenuTest.java -text
 eu.etaxonomy.taxeditor.test/src/test/java/eu/etaxonomy/taxeditor/test/NewTaxonWizardTest.java -text
+eu.etaxonomy.taxeditor/deploy_nightly.sh -text
+eu.etaxonomy.taxeditor/eu.etaxonomy.taxeditor.product -text
+eu.etaxonomy.taxeditor/plugin_customization.ini -text
+eu.etaxonomy.taxeditor/pom.xml -text
+eu.etaxonomy.taxeditor/rcp.target -text
 /pom.xml -text
 src/changes/changes.xml -text
 src/site/apt/download.apt -text
diff --git a/.gitignore b/.gitignore
index 91c164c7e..e6fc1f0c0 100644
--- a/.gitignore
+++ b/.gitignore
@@ -114,6 +114,10 @@ eu.etaxonomy.taxeditor.store/.settings
 eu.etaxonomy.taxeditor.store/hibernate.log
 eu.etaxonomy.taxeditor.store/target
 eu.etaxonomy.taxeditor.test/screenshots/*.jpeg
+eu.etaxonomy.taxeditor/.classpath
+eu.etaxonomy.taxeditor/.project
+eu.etaxonomy.taxeditor/.settings
+eu.etaxonomy.taxeditor/target
 /runtime-taxeditor.product
 /target
 /workspace
diff --git a/eu.etaxonomy.taxeditor/deploy_nightly.sh b/eu.etaxonomy.taxeditor/deploy_nightly.sh
new file mode 100755
index 000000000..8da863d4c
--- /dev/null
+++ b/eu.etaxonomy.taxeditor/deploy_nightly.sh
@@ -0,0 +1,28 @@
+#!/bin/bash
+
+# local testing
+#WORKSPACE="/Users/n.hoffmann/Documents/workspace/taxeditor/trunk"
+
+PRODUCT_DIR="$WORKSPACE/eu.etaxonomy.taxeditor/target/products"
+
+DEPLOYMENT_SERVER="wp5.e-taxonomy.eu"
+DEPLOYMENT_DIR="/var/www/download/taxeditor/nightly"
+
+# bash check if directory exists
+if [ ! -d $PRODUCT_DIR ]; then
+	echo "Product directory does not exist: $PRODUCT_DIR" 
+	exit 1
+fi 
+
+PRODUCTS=$(ls $PRODUCT_DIR/eu.etaxonomy.taxeditor.product-*.zip)
+
+if [ ! $PRODUCTS ]; then
+	echo "No products in product directory: $PRODUCT_DIR"
+	exit 1
+fi
+
+for FILE in $PRODUCTS; do
+	scp $FILE root@$DEPLOYMENT_SERVER:$DEPLOYMENT_DIR
+done
+
+
diff --git a/eu.etaxonomy.taxeditor/eu.etaxonomy.taxeditor.product b/eu.etaxonomy.taxeditor/eu.etaxonomy.taxeditor.product
new file mode 100644
index 000000000..367316b17
--- /dev/null
+++ b/eu.etaxonomy.taxeditor/eu.etaxonomy.taxeditor.product
@@ -0,0 +1,60 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<?pde version="3.5"?>
+
+<product name="EDIT Taxonomic Editor" uid="eu.etaxonomy.taxeditor.product" id="eu.etaxonomy.taxeditor.application.eu_etaxonomy_taxeditor_product" application="eu.etaxonomy.taxeditor.application.application" version="3.0.6.qualifier" useFeatures="true" includeLaunchers="true">
+
+   <aboutInfo>
+      <image path="/eu.etaxonomy.taxeditor.application/icons/256color_48x48.gif"/>
+      <text>
+         %productBlurb
+      </text>
+   </aboutInfo>
+
+   <configIni use="default">
+   </configIni>
+
+   <launcherArgs>
+      <programArgs>-data @user.home/.cdmLibrary</programArgs>
+      <vmArgs>-Xmx512M -XX:MaxPermSize=256M</vmArgs>
+      <vmArgsMac>-XstartOnFirstThread -Dorg.eclipse.swt.internal.carbon.smallFonts</vmArgsMac>
+   </launcherArgs>
+
+   <windowImages i16="/eu.etaxonomy.taxeditor.application/icons/256color_16x16.gif" i32="/eu.etaxonomy.taxeditor.application/icons/256color_32x32.gif" i48="/eu.etaxonomy.taxeditor.application/icons/256color_48x48.gif"/>
+
+   <splash
+      location="eu.etaxonomy.taxeditor.application"
+      startupProgressRect="5,447,366,15"
+      startupMessageRect="7,432,360,20"
+      startupForegroundColor="000000" />
+   <launcher name="TaxonomicEditor">
+      <solaris/>
+      <win useIco="false">
+         <bmp/>
+      </win>
+   </launcher>
+
+   <vm>
+   </vm>
+
+   <license>
+        <url>http://www.mozilla.org/MPL/</url>
+        <text>
+   The contents of this file are subject to the Mozilla Public License Version 1.1 (the &amp;quot;License&amp;quot;); you may not use this file except in compliance with the License. You may obtain a copy of the License at
+http://www.mozilla.org/MPL/
+
+Software distributed under the License is distributed on an &amp;quot;AS IS&amp;quot; basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language governing rights and limitations under the License.
+         </text>
+   </license>
+
+   <plugins>
+   </plugins>
+
+   <features>
+      <feature id="eu.etaxonomy.taxeditor.feature" version="3.0.6.qualifier"/>
+   </features>
+
+   <configurations>
+      <plugin id="eu.etaxonomy.taxeditor.application" autoStart="true" startLevel="4" />
+   </configurations>
+
+</product>
diff --git a/eu.etaxonomy.taxeditor/plugin_customization.ini b/eu.etaxonomy.taxeditor/plugin_customization.ini
new file mode 100644
index 000000000..333fab9da
--- /dev/null
+++ b/eu.etaxonomy.taxeditor/plugin_customization.ini
@@ -0,0 +1 @@
+org.eclipse.ui/SHOW_PROGRESS_ON_STARTUP = true
diff --git a/eu.etaxonomy.taxeditor/pom.xml b/eu.etaxonomy.taxeditor/pom.xml
new file mode 100644
index 000000000..6724529f3
--- /dev/null
+++ b/eu.etaxonomy.taxeditor/pom.xml
@@ -0,0 +1,48 @@
+<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
+	<parent>
+		<groupId>eu.etaxonomy</groupId>
+		<artifactId>taxeditor-parent</artifactId>
+		<version>3.0.6-SNAPSHOT</version>
+	</parent>
+
+	<modelVersion>4.0.0</modelVersion>
+	<artifactId>eu.etaxonomy.taxeditor</artifactId>
+	<!-- packaging>eclipse-application</packaging -->
+	<packaging>eclipse-repository</packaging>
+
+	<name>EDIT Taxonomic Editor</name>
+	<description>The EDIT Taxonomic Desktop Editor</description>
+	<url>http://wp5.e-taxonomy.eu/taxeditor</url>
+
+	<build>
+		<plugins>
+			<!-- plugin> <groupId>org.sonatype.tycho</groupId> <artifactId>maven-osgi-packaging-plugin</artifactId> 
+				<version>${tycho.version}</version> <configuration> <environments> <environment> 
+				<os>macosx</os> <ws>cocoa</ws> <arch>x86</arch> </environment> <environment> 
+				<os>linux</os> <ws>gtk</ws> <arch>x86</arch> </environment> <environment> 
+				<os>win32</os> <ws>win32</ws> <arch>x86</arch> </environment> </environments> 
+				</configuration> </plugin -->
+			<plugin>
+				<groupId>org.eclipse.tycho</groupId>
+				<artifactId>tycho-p2-director-plugin</artifactId>
+				<version>${tycho.version}</version>
+				<executions>
+					<execution>
+						<id>materialize-products</id>
+						<goals>
+							<goal>materialize-products</goal>
+						</goals>
+					</execution>
+					<execution>
+						<id>archive-products</id>
+						<goals>
+							<goal>archive-products</goal>
+						</goals>
+					</execution>
+				</executions>
+			</plugin>
+		</plugins>
+	</build>
+
+</project>
\ No newline at end of file
diff --git a/eu.etaxonomy.taxeditor/rcp.target b/eu.etaxonomy.taxeditor/rcp.target
new file mode 100644
index 000000000..7f4c8d099
--- /dev/null
+++ b/eu.etaxonomy.taxeditor/rcp.target
@@ -0,0 +1,23 @@
+<?xml version="1.0" encoding="UTF-8" standalone="no"?>
+<?pde version="3.6"?>
+
+<target name="Eclipse Helios Target">
+<locations>
+<location includeAllPlatforms="true" includeMode="slicer" type="InstallableUnit">
+<unit id="org.eclipse.equinox.executable.feature.group" version="3.4.2.R36x_v20110125-7N7K7bF8zk1BAKMh0iz0t94miBLY"/>
+<unit id="org.eclipse.platform.source.feature.group" version="3.6.2.r362_v20110210-9gF78Gs1FrIGnHDHWkEcopoN8AmxeZflGDGKQi"/>
+<unit id="org.eclipse.platform.sdk" version="3.6.2.M20110210-1200"/>
+<unit id="org.eclipse.pde.feature.group" version="3.6.2.r362_v20110203-7b7mFL2FET3dhHalh1iNZtL"/>
+<!--unit id="org.eclipse.rcp.sdk.id" version="3.6.0.M20110210-1200"/-->
+<unit id="org.eclipse.zest.feature.group" version="1.2.0.v20100519-2050-67818yE6F-AA7P4B8I52322"/>
+<repository location="http://download.eclipse.org/releases/helios"/>
+</location>
+<location includeAllPlatforms="true" includeMode="slicer" type="InstallableUnit">
+<unit id="org.eclipse.swtbot.eclipse.feature.group" version="2.0.4.20110304_0338-e5aff47-dev-e36"/>
+<unit id="org.eclipse.swtbot.eclipse.gef.feature.group" version="2.0.4.20110304_0338-e5aff47-dev-e36"/>
+<unit id="org.eclipse.swtbot.ide.feature.group" version="2.0.4.20110304_0338-e5aff47-dev-e36"/>
+<unit id="org.eclipse.swtbot.eclipse.test.junit4.feature.group" version="2.0.4.20110304_0338-e5aff47-dev-e36"/>
+<repository location="http://download.eclipse.org/technology/swtbot/helios/dev-build/update-site"/>
+</location>
+</locations>
+</target>